List all certificates details.
curl --request GET \
--url https://{tenant}/api/certs/details \
--header 'Authorization: Bearer <token>'import requests
url = "https://{tenant}/api/certs/details"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{tenant}/api/certs/details', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"certificates": [
{
"dns_names": [
".*tyk.io"
],
"fingerprint": "7c440d66ebb0a4629d21329808dce9091acf5f2fde328067a6e60e5347271d90",
"has_private": false,
"id": "5e9d9544a1dcd60001d0ed207c440d66ebb0a4629d21329808dce9091acf5f2fde328067a6e60e5347271d90",
"is_ca": false,
"issuer": {
"CommonName": "tyk.io",
"Country": [
"Peachtree "
],
"ExtraNames": [
{
"Type": [
2,
5,
4,
6
],
"Value": "Peachtree "
}
],
"Locality": [
"JN"
],
"Names": [
{
"Type": [
2,
5,
4,
6
],
"Value": "Peachtree"
},
{
"Type": [
2,
5,
4,
10
],
"Value": "tyk"
},
{
"Type": [
2,
5,
4,
11
],
"Value": "tyk"
},
{
"Type": [
2,
5,
4,
3
],
"Value": "tyk.io"
},
{
"Type": [
1,
2,
840,
113549,
1,
9,
1
],
"Value": "support@tyk.io"
}
],
"Organization": [
"tyk"
],
"OrganizationalUnit": [
"tyk"
],
"PostalCode": [
"00010"
],
"Province": [
"San Jore"
],
"SerialNumber": "",
"StreetAddress": [
"River side drive"
]
},
"not_after": "2034-03-26T08:46:37Z",
"not_before": "2024-03-25T08:46:37Z",
"subject": {
"CommonName": "tyk.io",
"Country": [
"Peachtree "
],
"ExtraNames": [
{
"Type": [
2,
5,
4,
6
],
"Value": "Peachtree "
}
],
"Locality": [
"JN"
],
"Names": [
{
"Type": [
2,
5,
4,
6
],
"Value": "Peachtree "
},
{
"Type": [
2,
5,
4,
10
],
"Value": "tyk"
},
{
"Type": [
2,
5,
4,
11
],
"Value": "tyk"
},
{
"Type": [
2,
5,
4,
3
],
"Value": "tyk.io"
},
{
"Type": [
1,
2,
840,
113549,
1,
9,
1
],
"Value": "support@tyk.io"
}
],
"Organization": [
"tyk"
],
"OrganizationalUnit": [
"tyk"
],
"PostalCode": [
"00010"
],
"Province": [
"San Jore"
],
"SerialNumber": "",
"StreetAddress": [
"River side drive"
]
}
}
],
"pages": 1
}{
"Message": "Could not retrieve certs details.",
"Meta": null,
"Status": "Error"
}{
"Message": "Not authorised",
"Meta": null,
"Status": "Error"
}{
"Message": "access denied: You do not have permission to access /api/certs/details",
"Meta": null,
"Status": "Error"
}{
"Message": "Failed to marshal data for certificate list.",
"Meta": null,
"Status": "Error"
}Certificates
List all certificates details.
Return a list that contains certificates and their full details.
GET
/
api
/
certs
/
details
List all certificates details.
Authorizations
The Tyk Dashboard API Access Credentials
Query Parameters
Use p query parameter to say which page you want returned. Send number less than 0 to return all items.
Was this page helpful?
⌘I